Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.task.event.entity
Enum TaskEventType

    java.lang.Object
      java.lang.Enum<TaskEventType>
          org.jbpm.task.event.entity.TaskEventType

All Implemented Interfaces:
  Serializable, Comparable<TaskEventType>

    public enum TaskEventType

extends Enum<TaskEventType>

Enum Constant Summary
`Activate`
`AddedAttachment`
`AddedComment`
`Cancel`
`Claim`
`Complete`
`Create`
`Delegated`
`DeletedAttachment`
`DeleteFault`
`DeleteOutput`
`Escalated`
`Expire`
`Fail`
`Forward`
`Nominate`
`Release`
`Removed`
`Resume`
`SetFault`
`SetGenericHumanRole`
`SetOutput`
`SetPriority`
`Skipped`
`Started`
`Stop`
`Suspended`
`SuspendedUntil`
`UnknownUserEvent`
`UpdatedComment`

Method Summary
`static TaskEventType` | `getTypeFromValue(String type)`
`String` | `getValue()`
`static TaskEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Create

    public static final TaskEventType Create

### Claim

    public static final TaskEventType Claim

### Stop

    public static final TaskEventType Stop

### Complete

    public static final TaskEventType Complete

### Fail

    public static final TaskEventType Fail

### Forward

    public static final TaskEventType Forward

### Release

    public static final TaskEventType Release

### Skipped

    public static final TaskEventType Skipped

### Started

    public static final TaskEventType Started

### Suspended

    public static final TaskEventType Suspended

### SuspendedUntil

    public static final TaskEventType SuspendedUntil

### Resume

    public static final TaskEventType Resume

### Removed

    public static final TaskEventType Removed

### SetPriority

    public static final TaskEventType SetPriority

### AddedAttachment

    public static final TaskEventType AddedAttachment

### DeletedAttachment

    public static final TaskEventType DeletedAttachment

### AddedComment

    public static final TaskEventType AddedComment

### UpdatedComment

    public static final TaskEventType UpdatedComment

### Delegated

    public static final TaskEventType Delegated

### SetOutput

    public static final TaskEventType SetOutput

### DeleteOutput

    public static final TaskEventType DeleteOutput

### SetFault

    public static final TaskEventType SetFault

### DeleteFault

    public static final TaskEventType DeleteFault

### Activate

    public static final TaskEventType Activate

### Nominate

    public static final TaskEventType Nominate

### SetGenericHumanRole

    public static final TaskEventType SetGenericHumanRole

### Expire

    public static final TaskEventType Expire

### Escalated

    public static final TaskEventType Escalated

### Cancel

    public static final TaskEventType Cancel

### UnknownUserEvent

    public static final TaskEventType UnknownUserEvent

Method Detail

### values

    public static TaskEventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskEventType c : TaskEventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskEventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

### getTypeFromValue

    public static TaskEventType getTypeFromValue(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.